## /Scripts

Below is a list of each script with the general purpose of each:

* `1_soil_character.R` 

Summarize and calculate base statistics of soil chemistry and characterization variables from potting soil. Measurements (besides residual volumetric water content) were performed by Motzz Labs, Inc. in Phoenix, AZ.

* `2_two_way_manova.R` 

Pearson Correlations, Two-way MANOVA calculation for Table 2, and root volume ANOVA provided in SI Table S2.

* `3_post_hoc.R`

Descriptive statistics, coefficient of variation, and Tukey HSD post-hoc tests of all traits.

* `4_germination.R` 

Summarize seed germination data and ANOVA and post-hoc of watering regime treatment germination rates.

* `5_discriminant.R` 

Linear Discriminant Analysis of watering regimes and seedling traits including creation of Figures 5, 6a, and 6b.
Principal Component Analysis in Supplemental Information (Figures S3-S6).

* `6_gh_plots.R` 

Create boxplots for each seedling trait by watering regime treatment and sampling period (Figure 2a-d, Figure 3d, and Figure 4a-d).

* `7_soil_temp_moist_figs.R` 

Calculate experimental starting soil moisture prior to watering and create soil moisture Figure 1.

* `8_SRER_2017-07_ppt_fig_SIFig1.R`

Calculate number of rain days and watering regime treatment amounts with Santa Rita Experimental Range precipitation and temperature data at the Desert Grassland Enclosure from the start of the monsoon season in 2017 and creation of Figure S1. 

* `9_SRER_1975-2020_ppt.R` 

Calculate consecutive wet days and precipitation amount percentiles using daily precipitation from seven rain gauges between 1975 to 2020 distributed across the Santa Rita Experimental Range (Goodrich et al. 2008).

* `10_regression.R` 

Calculate additional regression analysis for performance vs functional traits, contains the creation of the composite performance variable used in other analyses.
